/******************************************************************************/
/* User Level #define Macros                                                  */
/******************************************************************************/

/* Serial SPI */
#define SCK	LATAbits.LATA0
#define SDO	LATAbits.LATA2
#define SS	LATAbits.LATA1

#define CLC_ON			CLC1CON = 0xC2
#define CLC_OFF			CLC1CON = 0x82
#define CS_OUT			LATCbits.LATC4

#define TEST    LATCbits.LATC3

/******************************************************************************/
/* User Function Prototypes                                                   */
/******************************************************************************/

extern uint8_t VIDEO_BUFFER[32];
extern uint8_t DATA_BUFFER[24];
extern uint8_t BYTES_COUNT;


void InitApp(void);         /* I/O and Peripheral Initialization */
void InitGPIO(void);
void InitSPI(void);
void InitInterrupt(void);
void InitVIDEO(void);
void InitCLC(void);


void DelayUs(unsigned int us);

